FSSAI Extraction API
Introduction
This API allows users to extract information from FSSAI doc through images. The API accepts an image URL containing FSSAI document. The API returns a JSON response with the extracted information in a result object including License Number, Business Operator name, address and other pertinent information.


API details
Endpoint
POST https://api-preproduction.signzy.app/api/v3/extraction/fssaiPOST https://api.signzy.app/api/v3/extraction/fssaiRequest headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameters
Parameter | Data type | Description | Required |
|---|---|---|---|
file | String | A URL of the image. Acceptable image format TIFF/TIF, JPEG/JPG, PNG, PDF(maximum 2 pages) containing NREGA card. | Mandatory |
{
"file": "https://preproduction-persist.signzy.tech/api/files/40281535/download/xxxxxxxxxxxxxxxx.jpeg"
}Code samples
curl --location 'https://api.signzy.app/api/v3/extraction/fssai' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Token>' \
--data '{
"file": "https://preproduction-persist.signzy.tech/api/files/40281535/download/xxxxxxxxxxxxxxxx.jpeg"
}'Response body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | Contains the result of the task. |
result.licenseNumber | String | The license number of the individual mentioned for the food license. |
result.businessName | String | Business name mentioned in food license. |
result.businessNature | String | Business nature mentioned. |
result.operatorAddress | String | Operator Address mentioned. |
result.licenseCategory | String | The category of the license as specified in the food license. |
result.authorizedPremisesAddress | String | Authorized Premises mentioned in food license. |
result.issueDate | String | The date on which the license was issued. |
result.validFrom | String | The start date of the license validity period. |
result.validTill | String | The end date of the license validity period. |
Response body parameters
{
"result": {
"licenseNumber": "237***1000772",
"businessName": "M/S VI** DO** DHABA",
"businessNature": "Restaurants",
"operatorAddress": "SPITUK, LEH, SPITUK, Leh, Leh, Ladakh-194101",
"licenseCategory": "NA",
"authorizedPremisesAddress": "SPITUK, LEH, SPITUK, Leh, Leh, Ladakh 194101",
"issueDate": "03/08/2024",
"validFrom": "03/08/2024",
"validTill": "02/08/2029"
}
}Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!